Bug 1366858 - Latest Chromium update breaks HiDPI support
Summary: Latest Chromium update breaks HiDPI support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-13 14:56 UTC by Kevin Sandy
Modified: 2016-10-21 15:51 UTC (History)
2 users (show)

Fixed In Version: chromium-52.0.2743.116-9.fc24 chromium-52.0.2743.116-10.fc25 chromium-52.0.2743.116-10.fc23 chromium-53.0.2785.143-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-21 15:51:37 UTC
Type: Bug


Attachments (Terms of Use)
Print screen of the chromium browser (1.02 MB, image/png)
2016-08-18 11:51 UTC, Bart Ratgers
no flags Details

Description Kevin Sandy 2016-08-13 14:56:30 UTC
Description of problem:

HiDPI support broken (tabs, menus, content extremely small)

Version-Release number of selected component (if applicable):

chromium-52.0.2743.116-1.fc24.x86_64

How reproducible:

Always (on my machine at least)

Steps to Reproduce:

1. Upgrade from chromium-52.0.2743.116-1.fc24.x86_64
2. Launch chromium-browser
3. Get a magnifying glass

Actual results:

Chromium application windows are hard to read and interact with

Expected results:

Chromium application windows are scaled similar to other applications

Additional info:

Verified that downgrading to chromium-52.0.2743.116-1.fc24.x86_64 and chromium-52.0.2743.116-1.fc24.x86_64 resolves the issue.  Guessing it's related to the note about enabling hidpi support, which may have actually broken hidpi support?

Comment 1 Kevin Sandy 2016-08-13 14:59:18 UTC
Apparently my copy / paste skills aren't working well today.  What I *meant* to say under additional info is that downgrading to chromium-52.0.2743.82-9.fc24.x86_64.rpm and chromium-libs-52.0.2743.82-9.fc24.x86_64.rpm results in working hidpi support.

Comment 2 Tom "spot" Callaway 2016-08-15 17:14:50 UTC
I don't have a HiDPI monitor, but I'll do a build with enable_hidpi=0 so you can test it and see if things go back to normal.

Comment 3 Fedora Update System 2016-08-17 17:34:25 UTC
chromium-52.0.2743.116-9.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-19c0d6b4b2

Comment 4 Fedora Update System 2016-08-17 17:34:58 UTC
chromium-52.0.2743.116-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3431daeaf0

Comment 5 Fedora Update System 2016-08-17 17:35:17 UTC
chromium-52.0.2743.116-9.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a35f3eeea

Comment 6 Fedora Update System 2016-08-17 17:35:39 UTC
chromium-52.0.2743.116-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-95d9b62ed3

Comment 7 Fedora Update System 2016-08-17 19:51:49 UTC
chromium-52.0.2743.116-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-95d9b62ed3

Comment 8 Fedora Update System 2016-08-18 01:50:01 UTC
chromium-52.0.2743.116-9.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a35f3eeea

Comment 9 Fedora Update System 2016-08-18 01:51:00 UTC
chromium-52.0.2743.116-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3431daeaf0

Comment 10 Fedora Update System 2016-08-18 04:18:19 UTC
chromium-52.0.2743.116-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-19c0d6b4b2

Comment 11 Bart Ratgers 2016-08-18 11:51:50 UTC
Created attachment 1191857 [details]
Print screen of the chromium browser

The problem still exist in the new version, see screenshot of a page in 4K mode.

Comment 12 Tom "spot" Callaway 2016-08-18 19:39:19 UTC
Please try with -10:

http://koji.fedoraproject.org/koji/buildinfo?buildID=792919

Comment 13 Bart Ratgers 2016-08-18 20:40:52 UTC
Everything seems to work again, selecting text and the resolution (HiDPI). 
Sadly I miss the save and open dialogs.

Comment 14 Kevin Sandy 2016-08-19 14:26:09 UTC
Yep, the -10 update fixes HiDPI.

Comment 15 Fedora Update System 2016-08-25 13:54:21 UTC
chromium-52.0.2743.116-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-08-26 13:32:43 UTC
chromium-52.0.2743.116-10.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 17 Fedora Update System 2016-08-26 13:33:19 UTC
chromium-52.0.2743.116-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 18 Fedora Update System 2016-08-27 12:53:05 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2a0c80295c

Comment 19 Fedora Update System 2016-08-27 22:21:36 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a8d9311f8

Comment 20 Fedora Update System 2016-08-29 19:25:35 UTC
chromium-52.0.2743.116-11.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e82affa05e

Comment 21 Fedora Update System 2016-08-31 13:49:39 UTC
chromium-52.0.2743.116-11.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e82affa05e

Comment 22 Fedora Update System 2016-08-31 16:28:29 UTC
chromium-52.0.2743.116-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-09-09 16:54:39 UTC
chromium-52.0.2743.116-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2016-09-09 19:07:43 UTC
chromium-53.0.2785.101-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d70ae9a57

Comment 25 Fedora Update System 2016-09-10 05:48:35 UTC
chromium-53.0.2785.101-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6d70ae9a57

Comment 26 Fedora Update System 2016-09-14 19:28:17 UTC
chromium-53.0.2785.113-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-449d647265

Comment 27 Fedora Update System 2016-09-15 23:52:01 UTC
chromium-53.0.2785.113-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-449d647265

Comment 28 Fedora Update System 2016-09-28 16:19:37 UTC
chromium-53.0.2785.116-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf5b9b3332

Comment 29 Fedora Update System 2016-10-04 13:19:29 UTC
chromium-53.0.2785.143-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-387d58ef27

Comment 30 Fedora Update System 2016-10-21 15:51:37 UTC
chromium-53.0.2785.143-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.